<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.hsmf.datatypes.Types.MAPIType (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.hsmf.datatypes.Types.MAPIType (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
               title="class in org.apache.poi.hsmf.datatypes">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hsmf/datatypes/class-use/Types.MAPIType.html"
               target="_top">Frames</a></li>
        <li><a href="Types.MAPIType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.hsmf.datatypes.Types.MAPIType" class="title">Uses of Class<br>org.apache.poi.hsmf.datatypes.Types.MAPIType
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                        title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></span><span class="tabEnd">&nbsp;</span>
                </caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hsmf.datatypes">org.apache.poi.hsmf.datatypes</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hsmf.datatypes">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a> in <a
                            href="../../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing fields, and an explanation">
                        <caption><span>Fields in <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> declared as <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Field and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#APP_TIME">APP_TIME</a></span></code>
                                <div class="block">AppTime - application time value</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#ASCII_STRING">ASCII_STRING</a></span></code>
                                <div class="block">An 8-bit string, probably in CP1252, but don't quote us...</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#BINARY">BINARY</a></span></code>
                                <div class="block">Binary - counted byte array</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#BOOLEAN">BOOLEAN</a></span></code>
                                <div class="block">Boolean - 16-bit Boolean value.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#CLS_ID">CLS_ID</a></span></code>
                                <div class="block">ClassId - OLE GUID</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#CURRENCY">CURRENCY</a></span></code>
                                <div class="block">Currency - signed 64-bit integer that represents a base ten decimal
                                    with
                                    four digits to the right of the decimal point
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#DIRECTORY">DIRECTORY</a></span></code>
                                <div class="block">Object/Directory - embedded object in a property</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#DOUBLE">DOUBLE</a></span></code>
                                <div class="block">Double - floating point double</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#ERROR">ERROR</a></span></code>
                                <div class="block">Error - 32-bit error value</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#FLOAT">FLOAT</a></span></code>
                                <div class="block">R4 - 4-byte floating point value</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#LONG">LONG</a></span></code>
                                <div class="block">Long - signed 32-bit value</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#LONG_LONG">LONG_LONG</a></span></code>
                                <div class="block">I8 - 8-byte signed integer</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#NULL">NULL</a></span></code>
                                <div class="block">Null - NULL property value</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#SHORT">SHORT</a></span></code>
                                <div class="block">I2 - signed 16-bit value</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#TIME">TIME</a></span></code>
                                <div class="block">SysTime - FILETIME 64-bit integer specifying the number of 100ns
                                    periods
                                    since Jan 1, 1601
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#UNICODE_STRING">UNICODE_STRING</a></span></code>
                                <div class="block">A string, from Outlook 3.0 onwards.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#UNKNOWN">UNKNOWN</a></span></code>
                                <div class="block">Unknown</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#UNSPECIFIED">UNSPECIFIED</a></span></code>
                                <div class="block">Unspecified</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIProperty.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html#usualType">usualType</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> that return <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#createCustom-int-">createCustom</a></span>(int&nbsp;typeId)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PropertyValue.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#getActualType--">getActualType</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Types.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.html#getById-int-">getById</a></span>(int&nbsp;typeId)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                    title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Chunk.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunk.html#getType--">getType</a></span>()</code>
                                <div class="block">Gets the numeric type of this chunk.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                    title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">MAPIProperty.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html#createCustom-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-java.lang.String-">createCustom</a></span>(int&nbsp;id,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type,
                                java.lang.String&nbsp;name)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/package-summary.html">org.apache.poi.hsmf.datatypes</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html#ByteChunk-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">ByteChunk</a></span>(int&nbsp;chunkId,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</code>
                                <div class="block">Create a Byte Chunk, with the specified type.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html#ByteChunk-java.lang.String-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">ByteChunk</a></span>(java.lang.String&nbsp;namePrefix,
                                int&nbsp;chunkId,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</code>
                                <div class="block">Creates a Byte Chunk.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunk.html#Chunk-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">Chunk</a></span>(int&nbsp;chunkId,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/Chunk.html#Chunk-java.lang.String-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">Chunk</a></span>(java.lang.String&nbsp;namePrefix,
                                int&nbsp;chunkId,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/ChunkBasedPropertyValue.html#ChunkBasedPropertyValue-org.apache.poi.hsmf.datatypes.MAPIProperty-long-byte:A-org.apache.poi.hsmf.datatypes.Types.MAPIType-">ChunkBasedPropertyValue</a></span>(<a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                    title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>&nbsp;property,
                                long&nbsp;flags,
                                byte[]&nbsp;offsetData,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;actualType)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/DirectoryChunk.html#DirectoryChunk-org.apache.poi.poifs.filesystem.DirectoryNode-java.lang.String-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">DirectoryChunk</a></span>(<a
                                    href="../../../../../../org/apache/poi/poifs/filesystem/DirectoryNode.html"
                                    title="class in org.apache.poi.poifs.filesystem">DirectoryNode</a>&nbsp;dir,
                                java.lang.String&nbsp;namePrefix,
                                int&nbsp;chunkId,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/MessageSubmissionChunk.html#MessageSubmissionChunk-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">MessageSubmissionChunk</a></span>(int&nbsp;chunkId,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</code>
                                <div class="block">Create a Byte Chunk, with the specified type.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/MessageSubmissionChunk.html#MessageSubmissionChunk-java.lang.String-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">MessageSubmissionChunk</a></span>(java.lang.String&nbsp;namePrefix,
                                int&nbsp;chunkId,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</code>
                                <div class="block">Creates a Byte Chunk.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html#PropertyValue-org.apache.poi.hsmf.datatypes.MAPIProperty-long-byte:A-org.apache.poi.hsmf.datatypes.Types.MAPIType-">PropertyValue</a></span>(<a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                    title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>&nbsp;property,
                                long&nbsp;flags,
                                byte[]&nbsp;data,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;actualType)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#StringChunk-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">StringChunk</a></span>(int&nbsp;chunkId,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</code>
                                <div class="block">Create a String Chunk, with the specified type.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html#StringChunk-java.lang.String-int-org.apache.poi.hsmf.datatypes.Types.MAPIType-">StringChunk</a></span>(java.lang.String&nbsp;namePrefix,
                                int&nbsp;chunkId,
                                <a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
                                   title="class in org.apache.poi.hsmf.datatypes">Types.MAPIType</a>&nbsp;type)</code>
                                <div class="block">Creates a String Chunk.</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/hsmf/datatypes/Types.MAPIType.html"
               title="class in org.apache.poi.hsmf.datatypes">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hsmf/datatypes/class-use/Types.MAPIType.html"
               target="_top">Frames</a></li>
        <li><a href="Types.MAPIType.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
